
# [@vue/shared](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2021-03-30T00:37:05.961Z](https://img.shields.io/date/1617064626?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@b3920](https://github.com/vuejs/vue-next/tree/b39208cf06a56b115016be18d5ee368a8f9dff74), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/shared`) | `@knightly/vue__shared`                                                                                                                         |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.0.9*`)      | `3.0.9-knightly-master.202103300033`                                                                                                            |
| last commit             | perf(compiler-sfc): skip srcset transform if all candidates are external                                                                        |
| sha (`master`)          | `b39208cf06a56b115016be18d5ee368a8f9dff74`                                                                                                      |
| changes                 | [compare with last release](//github.com/vuejs/vue-next/compare/v3.0.9-knightly-master.202103300033...b39208cf06a56b115016be18d5ee368a8f9dff74) |
| build                   | 2021-03-30T00:37:05.961Z                                                                                                                        |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__shared?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/shared@npm:@knightly/vue__shared@master
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/shared": "npm:@knightly/vue__shared@master"
}
```


## Packages

| Package                | Knightly                                                                                                                              |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.0.9-knightly-master.202103300033)                                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.0.9-knightly-master.202103300033)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.0.9-knightly-master.202103300033)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.0.9-knightly-master.202103300033)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.0.9-knightly-master.202103300033)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.0.9-knightly-master.202103300033)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.0.9-knightly-master.202103300033)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.0.9-knightly-master.202103300033)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.0.9-knightly-master.202103300033)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.0.9-knightly-master.202103300033) |

<br>
Knightly v0.4.12
